Bug 1169658 (CVE-2020-11793)

Summary: VUL-0: CVE-2020-11793: webkit2gtk3: use-after-free may lead to arbitrary code execution (WSA-2020-0004)
Product: [Novell Products] SUSE Security Incidents Reporter: Alexandros Toptsoglou <atoptsoglou>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: mgorse
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/257643/
Whiteboard: CVSSv2:NVD:CVE-2020-11793:7.5:(AV:N/AC:L/Au:N/C:P/I:P/A:P) CVSSv3.1:NVD:CVE-2020-11793:9.8:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H) CVSSv3.1:SUSE:CVE-2020-11793:4.7:(AV:N/AC:L/PR:N/UI:R/S:C/C:N/I:N/A:L)
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Alexandros Toptsoglou 2020-04-16 12:20:00 UTC
------------------------------------------------------------------------
WebKitGTK and WPE WebKit Security Advisory                 WSA-2020-0004
------------------------------------------------------------------------

Date reported           : April 16, 2020
Advisory ID             : WSA-2020-0004
WebKitGTK Advisory URL  : https://webkitgtk.org/security/WSA-2020-0004.html
WPE WebKit Advisory URL : https://wpewebkit.org/security/WSA-2020-0004.html
CVE identifiers         : CVE-2020-11793.

Several vulnerabilities were discovered in WebKitGTK and WPE WebKit.

CVE-2020-11793
    Versions affected: WebKitGTK before 2.28.1 and WPE WebKit before
    2.28.1.
    Credit to Cim Stordal of Cognite.
    Impact: Processing maliciously crafted web content may lead to
    arbitrary code execution or application crash (denial of service).
    Description: A memory corruption issue (use-after-free) was
    addressed with improved memory handling.


We recommend updating to the latest stable versions of WebKitGTK and WPE
WebKit. It is the best way to ensure that you are running safe versions
of WebKit. Please check our websites for information about the latest
stable releases.

Further information about WebKitGTK and WPE WebKit security advisories
can be found at: https://webkitgtk.org/security.html or
https://wpewebkit.org/security/.

The WebKitGTK and WPE WebKit team,
April 16, 2020
Comment 3 Swamp Workflow Management 2020-04-24 19:18:17 UTC
SUSE-SU-2020:1109-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1165528,1169658
CVE References: CVE-2020-10018,CVE-2020-11793
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    webkit2gtk3-2.28.1-3.49.2
SUSE Linux Enterprise Server 15-LTSS (src):    webkit2gtk3-2.28.1-3.49.2
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    webkit2gtk3-2.28.1-3.49.2
SUSE Linux Enterprise Module for Desktop Applications 15-SP1 (src):    webkit2gtk3-2.28.1-3.49.2
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    webkit2gtk3-2.28.1-3.49.2
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    webkit2gtk3-2.28.1-3.49.2
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    webkit2gtk3-2.28.1-3.49.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2020-04-29 10:17:55 UTC
SUSE-SU-2020:1135-1: An update that fixes 30 vulnerabilities is now available.

Category: security (important)
Bug References: 1155321,1156318,1159329,1161719,1163809,1165528,1169658
CVE References: CVE-2019-8625,CVE-2019-8710,CVE-2019-8720,CVE-2019-8743,CVE-2019-8764,CVE-2019-8766,CVE-2019-8769,CVE-2019-8771,CVE-2019-8782,CVE-2019-8783,CVE-2019-8808,CVE-2019-8811,CVE-2019-8812,CVE-2019-8813,CVE-2019-8814,CVE-2019-8815,CVE-2019-8816,CVE-2019-8819,CVE-2019-8820,CVE-2019-8823,CVE-2019-8835,CVE-2019-8844,CVE-2019-8846,CVE-2020-10018,CVE-2020-11793,CVE-2020-3862,CVE-2020-3864,CVE-2020-3865,CVE-2020-3867,CVE-2020-3868
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE OpenStack Cloud 8 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE OpenStack Cloud 7 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Server 12-SP5 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Server 12-SP4 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Server 12-SP3-BCL (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Server 12-SP2-BCL (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Enterprise Storage 5 (src):    webkit2gtk3-2.28.1-2.50.3
HPE Helion Openstack 8 (src):    webkit2gtk3-2.28.1-2.50.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2020-05-02 16:14:13 UTC
openSUSE-SU-2020:0602-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1165528,1169658
CVE References: CVE-2020-10018,CVE-2020-11793
Sources used:
openSUSE Leap 15.1 (src):    webkit2gtk3-2.28.1-lp151.2.15.2
Comment 6 Alexandros Toptsoglou 2020-07-10 14:37:13 UTC
Done